query listOrder @auth(level: USER) {
  orders {
    id
    orderNumber
    partnerId
    orderType
    orderStatus
  }
}

query getOrderById(
  $id: UUID!
) @auth(level: USER) {
  order(id: $id) {
    id
    orderNumber
    partnerId
    orderType
    orderStatus
  }
}

query filterOrder(
  $orderNumber: String,
  $partnerId: UUID,
  $orderType: OrderType,
  $orderStatus: OrderStatus
) @auth(level: USER) {
  orders(
    where: {
      orderNumber: { eq: $orderNumber }
      partnerId: { eq: $partnerId }
      orderType: { eq: $orderType }
      orderStatus: { eq: $orderStatus }
    }
  ) {
    id
    orderNumber
    partnerId
    orderType
    orderStatus
  }
}
